#!/usr/bin/php
<?php

use Wildix\CallRecordings;
use Wildix\Core\Container;

set_include_path('/var/www');
require_once('init.php');

$_scriptName = $argv[0];

// create system log handler
$syslog = new Syslog($_scriptName);

$_cdrConfData = \Wildix\Settings\CDR\General::getInstance()->get();

// voice mails
if (!empty ($_cdrConfData['deleteVoicemailAfter'])) {
	try {
        \Wildix\VoiceMail\VoiceMails::getInstance()->deleteAllVoiceMailsAfter($_cdrConfData['deleteVoicemailAfter']);
    } catch (\Exception $exception){
        $syslog->warning(__LINE__, $exception->getMessage());
	}
}

// call recordings
try {
    $callRecs = Container::get(CallRecordings::class);

    $isDataStorageEnabled = env('SERVICE_DATA_STORAGE_ENABLE', false);
    if ($isDataStorageEnabled) {
        $deleteAfter = env('DATA_STORAGE_LOCAL_CACHE_TTL', 7);
        $period = 'days';

        $callRecs->deleteAllCallRecordingsAfter($deleteAfter, $period);
    } else if (!empty ($_cdrConfData['deleteRecordingAfter'])) {
        $deleteAfter = $_cdrConfData['deleteRecordingAfter'];
        $period = 'month';

        $callRecs->deleteAllCallRecordingsAfter($deleteAfter, $period);
    }

} catch (Exception $exception){
    $syslog->warning(__LINE__, $exception->getMessage());
}
